List Contact Property Groups

GET https://app.alaaqat.com/api/contacts/properties/groups

Lists the groups your contact properties are organised in: the built-in groups and the ones you created. Your API key needs the contact-property-group-index ability.

Parameters

This endpoint accepts the Pagination parameters.

Key Type Default Description
search string - Search by name or description
order string created_at Ordering the results

Response

The return type will always be Pagination<Group>, check Pagination for more details. A built-in group has account_id and user set to null.

{
    "data": [
        {
            "_id": "6653c0d1e2f3a4b5c6d7e801",
            "internal_name": "contact_information",
            "name": {
                "en": "Contact Information",
                "ar": "معلومات جهة الاتصال"
            },
            "desc": [],
            "account_id": null,
            "made_by": null,
            "updated_at": "2026-01-10T00:00:00.000000Z",
            "created_at": "2026-01-10T00:00:00.000000Z",
            "user": null
        },
        {
            "_id": "6653c0d1e2f3a4b5c6d7e802",
            "internal_name": "contact_conversations",
            "name": {
                "en": "Contact Conversations",
                "ar": "محادثات جهة الاتصال"
            },
            "desc": [],
            "account_id": null,
            "made_by": null,
            "updated_at": "2026-01-10T00:00:00.000000Z",
            "created_at": "2026-01-10T00:00:00.000000Z",
            "user": null
        },
        {
            "_id": "6653c0d1e2f3a4b5c6d7e810",
            "internal_name": "loyalty_program",
            "name": {
                "en": "Loyalty program",
                "ar": "برنامج الولاء"
            },
            "desc": {
                "en": "Membership details of the client",
                "ar": "تفاصيل عضوية العميل"
            },
            "account_id": 1024,
            "made_by": 12,
            "updated_at": "2026-10-19T14:00:00.000000Z",
            "created_at": "2026-10-19T14:00:00.000000Z",
            "user": {
                "id": 12,
                "email": "sara.haddad@example.com",
                "firstname": "Sara",
                "lastname": "Haddad",
                "image": null,
                "locale": "en",
                "created_at": "2026-03-02T08:00:00.000000Z",
                "updated_at": "2026-10-01T07:30:00.000000Z",
                "fullname": "Sara Haddad"
            }
        }
    ],
    "links": {
        "first": "https://app.alaaqat.com/api/contacts/properties/groups?page=1",
        "last": "https://app.alaaqat.com/api/contacts/properties/groups?page=1",
        "prev": null,
        "next": null
    },
    "meta": {
        "current_page": 1,
        "from": 1,
        "last_page": 1,
        "links": [
            {
                "url": null,
                "label": "&laquo; Previous",
                "active": false
            },
            {
                "url": "https://app.alaaqat.com/api/contacts/properties/groups?page=1",
                "label": "1",
                "active": true
            },
            {
                "url": null,
                "label": "Next &raquo;",
                "active": false
            }
        ],
        "path": "https://app.alaaqat.com/api/contacts/properties/groups",
        "per_page": 15,
        "to": 3,
        "total": 3
    }
}